Bug 477346 - Hibernatin does not work on Toshiba L40-17R
Hibernatin does not work on Toshiba L40-17R
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i686 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-20 15:46 EST by Andrey V. Henneberg
Modified: 2009-12-18 02:21 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:21:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Logs after crashed hibernation (21.46 KB, application/zip)
2008-12-20 15:46 EST, Andrey V. Henneberg
no flags Details

  None (edit)
Description Andrey V. Henneberg 2008-12-20 15:46:11 EST
Created attachment 327553 [details]
Logs after crashed hibernation

Description of problem:
When I try to hibernate the system the laptop switches to text console and reports about process steps. After all done laptop is hanged and power does not switch off. Then I need to switch power off manual.

When I then switch power on system does not resume but boots as if it was shutted down.

On F9 was the problem with hibernation (https://bugzilla.redhat.com/show_bug.cgi?id=466621) but since kernel-2.6.26.6-79 it was not reproduced. Then the problem described above was appeared and I installed Russian Fedora 10. The problem is still reproduced.

Version-Release number of selected component (if applicable):
[root@localhost log]# uname -r
2.6.27.7-134.fc10.i686


How reproducible:
Start suspending to RAM or disk from gnome-power-management or acpitool or pm-utils.

Steps to Reproduce:
1. Push the power button of laptop (with gnome-power-management runing)
2.
3.
  
Actual results:
System switches to text console, reports about hibernation progress, power does not switch off and the hibernation is not really finished.

Expected results:
System hibernates and power switches off. When power on after hibernation the system is resumed.

Additional info:
OS: Russian Fedora 10 with latest updates

[root@localhost log]# rpm -q pm-utils 
pm-utils-1.2.2.1-2.fc10.i386
[root@localhost log]# rpm -q acpid
acpid-1.0.6-9.fc10.i386

Hardware profile: http://www.smolts.org/client/show/pub_27058422-c48a-42eb-be50-5d5216d55c55

If another information is needed, I shall glad to provide you with it.
Comment 1 Andrey V. Henneberg 2009-02-01 02:06:17 EST
Suspend (to RAM or to disk) didn't work until I set
SUSPEND_MODULES=rtl8187
in configuration file /etc/pm/config.d/toshiba-l40-17r.conf.
At the moment suspend works but sometime process events/0 loads CPU and even (some time) freeze the system when it try resume network connection.
Comment 2 Bug Zapper 2009-11-18 04:42:15 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 02:21:05 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.